Bug 250753 - [Patch]: devel/upp update to revision 15260
Summary: [Patch]: devel/upp update to revision 15260
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks: freetype-2.10.3
  Show dependency treegraph
 
Reported: 2020-10-31 11:56 UTC by Oskar Holmlund
Modified: 2021-01-11 16:30 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (m.sund)


Attachments
Upp version 15260 (1.49 KB, patch)
2020-10-31 11:56 UTC, Oskar Holmlund
no flags Details | Diff
Proposed patch (since 553843 revision) (2.30 KB, patch)
2020-11-03 22:46 UTC, lightside
no flags Details | Diff
Proposed patch (since 553843 revision) (2.33 KB, patch)
2020-11-26 02:05 UTC, lightside
lightside: maintainer-approval? (m.sund)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Oskar Holmlund 2020-10-31 11:56:07 UTC
Created attachment 219234 [details]
Upp version 15260

Current version fails to build due to missing reference to FT_Get_X11_Font_Format(FT_FaceRec_*)
http://beefy6.nyi.freebsd.org/data/121amd64-default/553153/logs/upp-14429.log

the update consists of, among other things, that FT_Get_X11_Font_Format changed its name to FT_Get_Font_format
https://www.freetype.org/freetype2/docs/reference/ft2-font_formats.html

This is fixed in this commit:
https://github.com/ultimatepp/ultimatepp/commit/7031659ed3be5db389a5c35819291e6ecd8d0efc

And included in the 2020.2 (15260) release. Attached patch will update the UPP version.

The uMakefile -> umkMakefile are changed in these commit
https://github.com/ultimatepp/ultimatepp/commit/18910db69ac9e06ddf18a851dd580e0a1b972770

https://github.com/ultimatepp/ultimatepp/commit/4fb3c9bcd4b4799fa89e2575aabc7b9a46a20b4d
Comment 1 Tobias C. Berner freebsd_committer 2020-10-31 15:12:18 UTC
Moin moin 

Thanks for the patch!

It seems there are some plist-changes missing:
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: @dir %%DATADIR%%/bazaar/plugin/sundials/src/nvector/mpiplusx
Error: Orphaned: @dir %%DATADIR%%/bazaar/plugin/sundials/src/nvector/openmp
Error: Orphaned: @dir %%DATADIR%%/bazaar/plugin/sundials/src/nvector/parallel
Error: Orphaned: @dir %%DATADIR%%/bazaar/plugin/sundials/src/nvector/pthreads
Error: Orphaned: @dir %%DATADIR%%/bazaar/plugin/sundials/src/sunlinsol/klu
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/upp



mfg Tobias
Comment 2 lightside 2020-11-03 22:46:27 UTC
Created attachment 219338 [details]
Proposed patch (since 553843 revision)

Hello.

Please check new patch. Thanks.
Comment 3 Oskar Holmlund 2020-11-26 01:36:12 UTC
(In reply to lightside from comment #2)

Your patch builds(poudriere) with no errors.
Need to regenerate distinfo - timestamp are not updated.
Comment 4 lightside 2020-11-26 02:05:36 UTC
Created attachment 219984 [details]
Proposed patch (since 553843 revision)

Updated timestamp.
Comment 5 daniel.engberg.lists 2020-12-12 07:37:52 UTC
Oskar, can you have a look at the patch provided by lightside?
Comment 6 Oskar Holmlund 2020-12-24 06:26:43 UTC
(In reply to daniel.engberg.lists from comment #5)

Yes, latest patch from lightside (attachment 219984 [details]) compiles with Poudriere without errors with portstree from yesterday.
Binary seems to work well and I can build my applications without issues.
Comment 7 Oskar Holmlund 2020-12-29 12:26:16 UTC
(In reply to Oskar Holmlund from comment #6)

Following example application builds and run without issues:
* examples/Clock
* examples/Converter
* examples/FnGraph
* examples/HomeBudget
* examples/TimerAnimate
* examples/ScatterCtrl_Demo
Comment 8 Tobias C. Berner freebsd_committer 2021-01-11 16:30:43 UTC
Sorry for the timeout. Committed :)
Comment 9 commit-hook freebsd_committer 2021-01-11 16:30:51 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jan 11 16:30:30 UTC 2021
New revision: 561224
URL: https://svnweb.freebsd.org/changeset/ports/561224

Log:
  devel/upp update to revision 15260

  PR:		250753
  Submitted by:	Oskar Holmlund <oskar.holmlund@ohdata.se> (original version, maintainer), lightside@gmx.com (committed version)

Changes:
  head/devel/upp/Makefile
  head/devel/upp/distinfo